Subject: Re: [2.6 patch] drivers/net/loopback.c: convert to module_init()

From: Adrian Bunk <[email-masked]>
Date: Thu, 14 Dec 2006 00:12:17 +0100

On Wed, Dec 13, 2006 at 03:01:43PM -0800, Stephen Hemminger wrote:
> On Wed, 13 Dec 2006 21:49:33 +0100
> Thomas Graf <[email-masked]> wrote:
> 
> > * Al Viro <[email-masked]> 2006-12-13 20:12
> > > On Tue, Dec 12, 2006 at 05:17:56PM -0800, David Miller wrote:
> > > > I'm not sure whether that is important any longer.  It probably isn't,
> > > > but we should verify it before applying such a patch.
> > > 
> > > There might be practical considerations along the lines of "we want
> > > lookups for loopback to be fast"...
> > 
> > What is this discussion actually about? Since we started registering
> > devices directly hooked into the init process before device_initcall()
> > the order is random. Even the bonding device is registered before the
> > loopback.
> 
> Loopback should be there before protocols are started. It makes sense
> to have a standard startup order.

This actually becomes easier after my patch:

Now that it's untangled from net_olddevs_init(), you can simply change 
the module_init(loopback_init) to a different initcall level.

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed